Module java.xml

# Package org.w3c.dom.events

package org.w3c.dom.events

Provides interfaces for DOM Level 2 Events. Refer to the Document Object Model (DOM) Level 2 Events Specification , the DOM Events module builds on DOM Level 2 Core Specification and DOM Level 2 Views Specification that gives to programs and scripts a generic event system.

Since:
  1.5

Interface Summary
Interface
Description
DocumentEvent
The `DocumentEvent` interface provides a mechanism by which the user can create an Event of a type supported by the implementation.
Event
The `Event` interface is used to provide contextual information about an event to the handler processing the event.
EventListener
The `EventListener` interface is the primary method for handling events.
EventTarget
The `EventTarget` interface is implemented by all `Nodes` in an implementation which supports the DOM Event Model.
MouseEvent
The `MouseEvent` interface provides specific contextual information associated with Mouse events.
MutationEvent
The `MutationEvent` interface provides specific contextual information associated with Mutation events.
UIEvent
The `UIEvent` interface provides specific contextual information associated with User Interface events.
Exception Summary
Exception
Description
EventException
Event operations may throw an `EventException` as specified in their method descriptions.